Bug 201603 - Synchronize MathML WPT tests against upstream
Summary: Synchronize MathML WPT tests against upstream
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on: 201604
Blocks: mathml-core
  Show dependency treegraph
 
Reported: 2019-09-09 08:53 PDT by Frédéric Wang (:fredw)
Modified: 2019-09-11 04:36 PDT (History)
6 users (show)

See Also:


Attachments
Patch (WIP) (965.97 KB, patch)
2019-09-09 08:56 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (WIP) (81.02 KB, patch)
2019-09-09 10:23 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (WIP) (1.02 MB, patch)
2019-09-09 10:23 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch for testing (includes 201604) (1.01 MB, patch)
2019-09-09 10:28 PDT, Frédéric Wang (:fredw)
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews215 for win-future (13.60 MB, application/zip)
2019-09-09 12:36 PDT, Build Bot
no flags Details
Patch (WIP) (1.05 MB, patch)
2019-09-10 02:21 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch for testing (includes 201604) (1.04 MB, patch)
2019-09-10 02:22 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch for testing (includes 201604) (1.07 MB, patch)
2019-09-10 03:35 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (1.05 MB, patch)
2019-09-10 08:06 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (1.08 MB, patch)
2019-09-10 08:09 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch for landing (1.08 MB, patch)
2019-09-11 02:06 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch for landing (1.06 MB, patch)
2019-09-11 03:41 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2019-09-09 08:53:40 PDT
This will remove tests for some deprecated features, so should be done carefully. I'll do a preliminary step to copy legacy tests into LayoutTests/mathml/
Comment 1 Frédéric Wang (:fredw) 2019-09-09 08:56:02 PDT
Created attachment 378371 [details]
Patch (WIP)
Comment 2 Frédéric Wang (:fredw) 2019-09-09 10:23:00 PDT
Created attachment 378377 [details]
Patch (WIP)
Comment 3 Frédéric Wang (:fredw) 2019-09-09 10:23:57 PDT
Created attachment 378378 [details]
Patch (WIP)
Comment 4 Frédéric Wang (:fredw) 2019-09-09 10:28:06 PDT
Created attachment 378380 [details]
Patch for testing (includes 201604)
Comment 5 Build Bot 2019-09-09 12:36:29 PDT
Comment on attachment 378380 [details]
Patch for testing (includes 201604)

Attachment 378380 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/13017308

New failing tests:
mathml/non-core/lengths-3.html
mathml/non-core/lengths-1.html
Comment 6 Build Bot 2019-09-09 12:36:43 PDT
Created attachment 378395 [details]
Archive of layout-test-results from ews215 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews215  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 7 Frédéric Wang (:fredw) 2019-09-10 02:21:58 PDT
Created attachment 378449 [details]
Patch (WIP)
Comment 8 Frédéric Wang (:fredw) 2019-09-10 02:22:44 PDT
Created attachment 378450 [details]
Patch for testing (includes 201604)
Comment 9 Frédéric Wang (:fredw) 2019-09-10 03:35:51 PDT
Created attachment 378453 [details]
Patch for testing (includes 201604)
Comment 10 Frédéric Wang (:fredw) 2019-09-10 08:06:43 PDT
Created attachment 378463 [details]
Patch
Comment 11 Frédéric Wang (:fredw) 2019-09-10 08:09:41 PDT
Created attachment 378464 [details]
Patch
Comment 12 Rob Buis 2019-09-11 01:44:22 PDT
Comment on attachment 378464 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=378464&action=review

LGTM, nice to have up to date tests.

> LayoutTests/platform/mac-wk1/TestExpectations:433
> +# MathML WPT tests failing on WK1

Strange, maybe we can add a FIXME to look into it.
Comment 13 Frédéric Wang (:fredw) 2019-09-11 02:06:02 PDT
Created attachment 378547 [details]
Patch for landing
Comment 14 WebKit Commit Bot 2019-09-11 02:12:10 PDT
Comment on attachment 378547 [details]
Patch for landing

Rejecting attachment 378547 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 378547, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
argin-002-expected.txt
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/margin-002.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/padding-001-expected.txt
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/padding-001.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/padding-002-expected.txt
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/padding-002.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/padding-border-margin-001-expected.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/padding-border-margin-001.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/w3c-import.log
rm 'LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-1-expected.html'
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-001.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-002-expected.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-002.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-003-expected.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-003.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-004-expected.html
rm 'LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-1.html'
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/visibility-004.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/w3c-import.log
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/width-height-001-expected.txt
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/width-height-001.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/writing-mode/w3c-import.log
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/writing-mode/writing-mode-001-expected.txt
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/writing-mode/writing-mode-001.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/writing-mode/writing-mode-002-expected.txt
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/css-styling/writing-mode/writing-mode-002.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/html5-tree/clipboard-event-handlers.tentative-expected.txt
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/html5-tree/clipboard-event-handlers.tentative.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/relations/text-and-math/use-typo-metrics-1.html
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/tools/fractions.py
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/tools/math-text.py
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/tools/mathvariant-transforms.py
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/tools/percentscaledown.py
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/tools/stacks.py
patching file LayoutTests/imported/w3c/web-platform-tests/mathml/tools/w3c-import.log
patching file LayoutTests/platform/gtk/TestExpectations
Hunk #1 succeeded at 1261 (offset 1 line).
Hunk #2 succeeded at 1913 (offset 1 line).
Hunk #3 succeeded at 2034 (offset 1 line).
Hunk #4 succeeded at 3716 (offset 1 line).
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/mathml/relations/css-styling/lengths-2-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/mathml/relations/css-styling/not-participating-to-parent-layout-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/border-002-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/mathml/relations/css-styling/padding-border-margin/padding-002-expected.txt
patching file LayoutTests/platform/mac-wk1/TestExpectations
Hunk #1 FAILED at 430.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/platform/mac-wk1/TestExpectations.rej

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/13022513
Comment 15 Frédéric Wang (:fredw) 2019-09-11 03:41:56 PDT
Created attachment 378555 [details]
Patch for landing
Comment 16 WebKit Commit Bot 2019-09-11 04:35:08 PDT
Comment on attachment 378555 [details]
Patch for landing

Clearing flags on attachment: 378555

Committed r249760: <https://trac.webkit.org/changeset/249760>
Comment 17 WebKit Commit Bot 2019-09-11 04:35:10 PDT
All reviewed patches have been landed.  Closing bug.
Comment 18 Radar WebKit Bug Importer 2019-09-11 04:36:23 PDT
<rdar://problem/55256794>